## NAME

CURLOPT_DIRLISTONLY - ask for names only in a directory listing

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_DIRLISTONLY, long listonly);

## DESCRIPTION

A parameter set to 1 tells the library to just list the names of files in a directory, instead of doing a full directory listing that would include file sizes, dates etc. This works for FTP and SFTP URLs.

This causes an FTP NLST command to be sent on an FTP server. Beware that some FTP servers list only files in their response to NLST; they might not include subdirectories and symbolic links.

Setting this option to 1 also implies a directory listing even if the URL doesn't end with a slash, which otherwise is necessary.

Do NOT use this option if you also use CURLOPT_WILDCARDMATCH as it will effectively break that feature then.

## DEFAULT

0, disabled

## PROTOCOLS

FTP and SFTP

## EXAMPLE

TODO

## AVAILABILITY

This option was known as CURLOPT_FTPLISTONLY up to 7.16.4

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_CUSTOMREQUEST

This HTML page was made with roffit.